[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DefineProperties

Re-implements the inherited method to prevent reading or writing unused properties.

## Declaration

Source position: dbgrids.pas line 428

`protected procedure TCustomDBGrid.DefineProperties(`
`Filer: TFiler`
`); override;`

## Arguments

`Filer` |  | Not used in the current implementation.

## Description

Remark: | DefineProperties has an empty implementation and avoids calling the inherited DefineProperties method. TCustomGrid defines ColWidths, RowHeights and Cells properties which do not use the Columns, Datasource, or linked Dataset available in the data-aware grid control. XML configuration files are used instead.

## See also

TCustomGrid |  | Implements the base class for grid controls.